aboutsummaryrefslogtreecommitdiff
path: root/openssl
diff options
context:
space:
mode:
Diffstat (limited to 'openssl')
-rw-r--r--openssl/Makefile2
-rw-r--r--openssl/openssl-1.0.0-beta5.tar.gzbin0 -> 4006467 bytes
-rw-r--r--openssl/openssl-1.0.0-stable-SNAP-20091118.tar.gzbin3988497 -> 0 bytes
-rwxr-xr-xopenssl/update-snapshot.sh13
4 files changed, 11 insertions, 4 deletions
diff --git a/openssl/Makefile b/openssl/Makefile
index 5119e27f..48170b6c 100644
--- a/openssl/Makefile
+++ b/openssl/Makefile
@@ -15,7 +15,7 @@
# "You are lost in a maze of twisty programs, all broken in different
# ways"
-VERSION = 1.0.0-stable-SNAP-20091118
+VERSION = 1.0.0-beta5
OPTIONS = enable-rfc3779 enable-cms no-dso enable-shared --prefix=`pwd`
diff --git a/openssl/openssl-1.0.0-beta5.tar.gz b/openssl/openssl-1.0.0-beta5.tar.gz
new file mode 100644
index 00000000..08630804
--- /dev/null
+++ b/openssl/openssl-1.0.0-beta5.tar.gz
Binary files differ
diff --git a/openssl/openssl-1.0.0-stable-SNAP-20091118.tar.gz b/openssl/openssl-1.0.0-stable-SNAP-20091118.tar.gz
deleted file mode 100644
index 40de00cd..00000000
--- a/openssl/openssl-1.0.0-stable-SNAP-20091118.tar.gz
+++ /dev/null
Binary files differ
diff --git a/openssl/update-snapshot.sh b/openssl/update-snapshot.sh
index 02e51b89..e6057240 100755
--- a/openssl/update-snapshot.sh
+++ b/openssl/update-snapshot.sh
@@ -1,14 +1,21 @@
#!/bin/sh -
# $Id$
#
-# Fetch today's OpenSSL snapshot and do everything needed to make it
+# Fetch today's OpenSSL tarball and do everything needed to make it
# the current code other than the svn commit.
-version="1.0.0-stable-SNAP-$(date +%Y%m%d)"
+#version="1.0.0-stable-SNAP-$(date +%Y%m%d)"
+
+version="1.0.0-beta5"
tarball="openssl-${version}.tar.gz"
-/usr/bin/fetch -m -p "ftp://ftp.openssl.org/snapshot/${tarball}" || exit
+case $version in
+ *SNAP*) directory=snapshot;;
+ *) directory=source;;
+esac
+
+/usr/bin/fetch -m -p "ftp://ftp.openssl.org/${directory}/${tarball}" || exit
/bin/rm -f openssl